QGIS Application - Bug report #4129
ggsrasterlayer is missing specific SIGNAL
2011-08-02 02:01 AM - Lukas Baron

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 14109
Description

I'm using the python modules from qgis.
Every time | open a rasterlayer the console shows the following error:

Object::connect: No such signal QgsGdalProvider::statusChanged( QString ) in
/tmp/buildd/qgis-1.8.0+git20110801+678549f~maverick1/src/core/raster/qgsrasterlayer.cpp:2599

| used the following codeline to reproduce this error:
rlayer = QgsRasterLayer('randomgecfile.tif', "raster")

| tested it on qgis version 1.7 and 1.8-trunk.

History

#1 - 2011-12-09 09:06 AM - Paolo Cavallini
- Category changed from Data Provider to Rasters

#2 - 2011-12-16 02:12 PM - Giovanni Manghi
- Target version set to Version 1.7.4

#3 - 2011-12-23 01:33 AM - Alexander Bruy
- Resolution set to fixed

- OS version deleted (maverick)

- Crashes QGIS or corrupts data set to No

- Status changed from Open to Closed

- Operating System changed from linux to All
- Affected QGIS version set to master

Should be fixed in commit:6dae2f18a1. Also backported to 1.7 as commit:12cbb96abb and 1.8 as commit:a1c9fe5950
